#define STM32F10X_MD_VL

#include "stm32f10x.h"

#define LED_ON	(1<<9)
#define LED_OFF	(1<<25)

uint8_t p_stat=0;

void TIM6_DAC_IRQHandler(void)
{

	if(p_stat)
		{
		GPIOC->BSRR = LED_ON;//set PC9
		p_stat = 0;
		}
	else
		{
		GPIOC->BSRR = LED_OFF;//clear PC9
		p_stat = 1;
		} 

	TIM6->SR = 0;//clear pending flag
	NVIC->ICPR[1] = (1<<22);
}

int main(void)
{

	//Clock config
	RCC->AHBENR = RCC_AHBENR_DMA1EN;
	RCC->APB2ENR = RCC_APB2ENR_IOPCEN | RCC_APB2ENR_IOPAEN | RCC_APB2ENR_AFIOEN;
	RCC->APB1ENR = RCC_APB1ENR_DACEN | RCC_APB1ENR_TIM6EN;

	//GPIO config	//GPIOA->CRL = 0;//analog mode
	GPIOC->CRH = (3<<4) | (0<<6);//PC9=out	

	//TIM6 config
	//TIM6->CR2 = TIM_CR2_MMS_1;// TRGO on update event
	TIM6->DIER = (uint16_t)TIM_DIER_UIE;//update interrupt enable
	TIM6->CNT = (uint16_t) 0;
	TIM6->PSC = (uint16_t) 0x0F;//prescaler=122
	TIM6->ARR = (uint16_t) 0xFFFF;//top of counter
	TIM6->EGR = (uint16_t) 1;//update registers

	//NVIC config
	NVIC->ISER[1] = (1<<22);//TIM6 int enable

	TIM6->CR1 = (uint16_t) TIM_CR1_CEN;//enable count
	
	while(1);
}


